# Uses of Class
javax.naming.RefAddr

Packages that use RefAddr
Package
Description
javax.naming
Provides the classes and interfaces for accessing naming services.

## Uses of RefAddr in javax.naming

Subclasses of RefAddr in javax.naming
Modifier and Type
Class
Description
`class`
`BinaryRefAddr`
This class represents the binary form of the address of a communications end-point.
`class`
`StringRefAddr`
This class represents the string form of the address of a communications end-point.
Fields in javax.naming with type parameters of type RefAddr
Modifier and Type
Field
Description
`protected Vector<RefAddr>`
Reference.`addrs`
Contains the addresses contained in this Reference.
Methods in javax.naming that return RefAddr
Modifier and Type
Method
Description
`RefAddr`
Reference.`get​(int posn)`
Retrieves the address at index posn.
`RefAddr`
Reference.`get​(String addrType)`
Retrieves the first address that has the address type 'addrType'.
Methods in javax.naming that return types with arguments of type RefAddr
Modifier and Type
Method
Description
`Enumeration<RefAddr>`
Reference.`getAll()`
Retrieves an enumeration of the addresses in this reference.
Methods in javax.naming with parameters of type RefAddr
Modifier and Type
Method
Description
`void`
Reference.`add​(int posn, RefAddr addr)`
Adds an address to the list of addresses at index posn.
`void`
Reference.`add​(RefAddr addr)`
Adds an address to the end of the list of addresses.
Constructors in javax.naming with parameters of type RefAddr
Modifier
Constructor
Description
``
`Reference​(String className, RefAddr addr)`
Constructs a new reference for an object with class name 'className' and an address.
``
`Reference​(String className, RefAddr addr, String factory, String factoryLocation)`
Constructs a new reference for an object with class name 'className', the class name and location of the object's factory, and the address for the object.